Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xerces.util
Class XMLAttributesImpl

    java.lang.Object
      weblogic.apache.xerces.util.XMLAttributesImpl

All Implemented Interfaces:
  XMLAttributes

Deprecated. please use JDK supplied XML parsers and transformers

    public class XMLAttributesImpl

extends Object
implements XMLAttributes

The XMLAttributesImpl class is an implementation of the XMLAttributes interface which defines a collection of attributes for an element. In the parser, the document source would scan the entire start element and collect the attributes. The attributes are communicated to the document handler in the startElement method.

The attributes are read-write so that subsequent stages in the document pipeline can modify the values or change the attributes that are propogated to the next stage.

See Also:
  `XMLDocumentHandler.startElement(weblogic.apache.xerces.xni.QName, weblogic.apache.xerces.xni.XMLAttributes, weblogic.apache.xerces.xni.Augmentations)`

Field Summary
`protected weblogic.apache.xerces.util.XMLAttributesImpl.Attribute[]` | `fAttributes` Deprecated. Attribute information.
`protected Augmentations[]` | `fAugmentations` Deprecated. Augmentations information for each attribute number of augmentations is equal to the number of attributes
`protected int` | `fLength` Deprecated. Attribute count.
`protected boolean` | `fNamespaces` Deprecated. Namespaces.

Constructor Summary
`XMLAttributesImpl()` Deprecated. Default constructor.

Method Summary
`int` | `addAttribute(QName name, String type, String value)` Deprecated. Adds an attribute.
`Augmentations` | `getAugmentations(int attributeIndex)` Deprecated. Look up an augmentations by attributes index.
`Augmentations` | `getAugmentations(String qName)` Deprecated. Look up an augmentation by XML 1.0 qualified name.
`Augmentations` | `getAugmentations(String uri, String localName)` Deprecated. Look up an augmentations by Namespace name.
`int` | `getIndex(String qName)` Deprecated. Look up the index of an attribute by XML 1.0 qualified name.
`int` | `getIndex(String uri, String localPart)` Deprecated. Look up the index of an attribute by Namespace name.
`int` | `getLength()` Deprecated. Return the number of attributes in the list.
`String` | `getLocalName(int index)` Deprecated. Look up an attribute's local name by index.
`String` | `getName(int index)` Deprecated. Return the name of an attribute in this list (by position).
`void` | `getName(int attrIndex, QName attrName)` Deprecated. Sets the fields in the given QName structure with the values of the attribute name at the specified index.
`String` | `getNonNormalizedValue(int attrIndex)` Deprecated. Returns the non-normalized value of the attribute at the specified index.
`String` | `getPrefix(int index)` Deprecated. Returns the prefix of the attribute at the specified index.
`String` | `getQName(int index)` Deprecated. Look up an attribute's XML 1.0 qualified name by index.
`String` | `getType(int index)` Deprecated. Look up an attribute's type by index.
`String` | `getType(String qname)` Deprecated. Look up an attribute's type by XML 1.0 qualified name.
`String` | `getType(String uri, String localName)` Deprecated. Look up an attribute's type by Namespace name.
`String` | `getURI(int index)` Deprecated. Look up an attribute's Namespace URI by index.
`String` | `getValue(int index)` Deprecated. Look up an attribute's value by index.
`String` | `getValue(String qname)` Deprecated. Look up an attribute's value by XML 1.0 qualified name.
`String` | `getValue(String uri, String localName)` Deprecated. Look up an attribute's value by Namespace name.
`boolean` | `isSpecified(int attrIndex)` Deprecated. Returns true if the attribute is specified in the instance document.
`void` | `removeAllAttributes()` Deprecated. Removes all of the attributes.
`void` | `removeAttributeAt(int attrIndex)` Deprecated. Removes the attribute at the specified index.
`void` | `setName(int attrIndex, QName attrName)` Deprecated. Sets the name of the attribute at the specified index.
`void` | `setNamespaces(boolean namespaces)` Deprecated. Sets whether namespace processing is being performed.
`void` | `setNonNormalizedValue(int attrIndex, String attrValue)` Deprecated. Sets the non-normalized value of the attribute at the specified index.
`void` | `setSpecified(int attrIndex, boolean specified)` Deprecated. Sets whether an attribute is specified in the instance document or not.
`void` | `setType(int attrIndex, String attrType)` Deprecated. Sets the type of the attribute at the specified index.
`void` | `setValue(int attrIndex, String attrValue)` Deprecated. Sets the value of the attribute at the specified index.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### fNamespaces

    protected boolean fNamespaces

  Deprecated.
  Namespaces.

### fLength

    protected int fLength

  Deprecated.
  Attribute count.

### fAttributes

    protected weblogic.apache.xerces.util.XMLAttributesImpl.Attribute[] fAttributes

  Deprecated.
  Attribute information.

### fAugmentations

    protected Augmentations[] fAugmentations

  Deprecated.
  Augmentations information for each attribute number of augmentations is equal to the number of attributes

Constructor Detail

### XMLAttributesImpl

    public XMLAttributesImpl()

  Deprecated.
  Default constructor.

Method Detail

### setNamespaces

    public void setNamespaces(boolean namespaces)

  Deprecated.
  Sets whether namespace processing is being performed. This state is needed to return the correct value from the getLocalName method.

  Parameters:
    `namespaces` - True if namespace processing is turned on.
  See Also:
    `XMLAttributesImpl.getLocalName(int)`

### addAttribute

    public int addAttribute(QName name,
                            String type,
                            String value)

  Deprecated.
  Adds an attribute. The attribute's non-normalized value of the attribute will have the same value as the attribute value until set using the `setNonNormalizedValue` method. Also, the added attribute will be marked as specified in the XML instance document unless set otherwise using the `setSpecified` method.

  Note: If an attribute of the same name already exists, the old values for the attribute are replaced by the new values.

  Specified by:
    `addAttribute` in interface `XMLAttributes`
  Parameters:
    `attrName` - The attribute name.
    `attrType` - The attribute type. The type name is determined by the type specified for this attribute in the DTD. For example: "CDATA", "ID", "NMTOKEN", etc. However, attributes of type enumeration will have the type value specified as the pipe ('|') separated list of the enumeration values prefixed by an open parenthesis and suffixed by a close parenthesis. For example: "(true|false)".
    `attrValue` - The attribute value.
  Returns:
    Returns the attribute index.
  See Also:
    `XMLAttributesImpl.setNonNormalizedValue(int, java.lang.String)`, `XMLAttributesImpl.setSpecified(int, boolean)`

### removeAllAttributes

    public void removeAllAttributes()

  Deprecated.
  Removes all of the attributes. This method will also remove all entities associated to the attributes.

  Specified by:
    `removeAllAttributes` in interface `XMLAttributes`

### removeAttributeAt

    public void removeAttributeAt(int attrIndex)

  Deprecated.
  Removes the attribute at the specified index.

  Note: This operation changes the indexes of all attributes following the attribute at the specified index.

  Specified by:
    `removeAttributeAt` in interface `XMLAttributes`
  Parameters:
    `attrIndex` - The attribute index.

### setName

    public void setName(int attrIndex,
                        QName attrName)

  Deprecated.
  Sets the name of the attribute at the specified index.

  Specified by:
    `setName` in interface `XMLAttributes`
  Parameters:
    `attrIndex` - The attribute index.
    `attrName` - The new attribute name.

### getName

    public void getName(int attrIndex,
                        QName attrName)

  Deprecated.
  Sets the fields in the given QName structure with the values of the attribute name at the specified index.

  Specified by:
    `getName` in interface `XMLAttributes`
  Parameters:
    `attrIndex` - The attribute index.
    `attrName` - The attribute name structure to fill in.

### setType

    public void setType(int attrIndex,
                        String attrType)

  Deprecated.
  Sets the type of the attribute at the specified index.

  Specified by:
    `setType` in interface `XMLAttributes`
  Parameters:
    `attrIndex` - The attribute index.
    `attrType` - The attribute type. The type name is determined by the type specified for this attribute in the DTD. For example: "CDATA", "ID", "NMTOKEN", etc. However, attributes of type enumeration will have the type value specified as the pipe ('|') separated list of the enumeration values prefixed by an open parenthesis and suffixed by a close parenthesis. For example: "(true|false)".

### setValue

    public void setValue(int attrIndex,
                         String attrValue)

  Deprecated.
  Sets the value of the attribute at the specified index. This method will overwrite the non-normalized value of the attribute.

  Specified by:
    `setValue` in interface `XMLAttributes`
  Parameters:
    `attrIndex` - The attribute index.
    `attrValue` - The new attribute value.
  See Also:
    `XMLAttributesImpl.setNonNormalizedValue(int, java.lang.String)`

### setNonNormalizedValue

    public void setNonNormalizedValue(int attrIndex,
                                      String attrValue)

  Deprecated.
  Sets the non-normalized value of the attribute at the specified index.

  Specified by:
    `setNonNormalizedValue` in interface `XMLAttributes`
  Parameters:
    `attrIndex` - The attribute index.
    `attrValue` - The new non-normalized attribute value.

### getNonNormalizedValue

    public String getNonNormalizedValue(int attrIndex)

  Deprecated.
  Returns the non-normalized value of the attribute at the specified index. If no non-normalized value is set, this method will return the same value as the `getValue(int)` method.

  Specified by:
    `getNonNormalizedValue` in interface `XMLAttributes`
  Parameters:
    `attrIndex` - The attribute index.

### setSpecified

    public void setSpecified(int attrIndex,
                             boolean specified)

  Deprecated.
  Sets whether an attribute is specified in the instance document or not.

  Specified by:
    `setSpecified` in interface `XMLAttributes`
  Parameters:
    `attrIndex` - The attribute index.
    `specified` - True if the attribute is specified in the instance document.

### isSpecified

    public boolean isSpecified(int attrIndex)

  Deprecated.
  Returns true if the attribute is specified in the instance document.

  Specified by:
    `isSpecified` in interface `XMLAttributes`
  Parameters:
    `attrIndex` - The attribute index.

### getLength

    public int getLength()

  Deprecated.
  Return the number of attributes in the list.

  Once you know the number of attributes, you can iterate through the list.

  Specified by:
    `getLength` in interface `XMLAttributes`
  Returns:
    The number of attributes in the list.
  See Also:
    `XMLAttributes.getURI(int)`, `XMLAttributes.getLocalName(int)`, `XMLAttributes.getQName(int)`, `XMLAttributes.getType(int)`, `XMLAttributes.getValue(int)`

### getType

    public String getType(int index)

  Deprecated.
  Look up an attribute's type by index.

  The attribute type is one of the strings "CDATA", "ID", "IDREF", "IDREFS", "NMTOKEN", "NMTOKENS", "ENTITY", "ENTITIES", or "NOTATION" (always in upper case).

  If the parser has not read a declaration for the attribute, or if the parser does not report attribute types, then it must return the value "CDATA" as stated in the XML 1.0 Recommentation (clause 3.3.3, "Attribute-Value Normalization").

  For an enumerated attribute that is not a notation, the parser will report the type as "NMTOKEN".

  Specified by:
    `getType` in interface `XMLAttributes`
  Parameters:
    `index` - The attribute index (zero-based).
  Returns:
    The attribute's type as a string, or null if the index is out of range.
  See Also:
    `XMLAttributesImpl.getLength()`

### getType

    public String getType(String qname)

  Deprecated.
  Look up an attribute's type by XML 1.0 qualified name.

  See `getType(int)` for a description of the possible types.

  Specified by:
    `getType` in interface `XMLAttributes`
  Parameters:
    `qname` - The XML 1.0 qualified name.
  Returns:
    The attribute type as a string, or null if the attribute is not in the list or if qualified names are not available.

### getValue

    public String getValue(int index)

  Deprecated.
  Look up an attribute's value by index.

  If the attribute value is a list of tokens (IDREFS, ENTITIES, or NMTOKENS), the tokens will be concatenated into a single string with each token separated by a single space.

  Specified by:
    `getValue` in interface `XMLAttributes`
  Parameters:
    `index` - The attribute index (zero-based).
  Returns:
    The attribute's value as a string, or null if the index is out of range.
  See Also:
    `XMLAttributesImpl.getLength()`

### getValue

    public String getValue(String qname)

  Deprecated.
  Look up an attribute's value by XML 1.0 qualified name.

  See `getValue(int)` for a description of the possible values.

  Specified by:
    `getValue` in interface `XMLAttributes`
  Parameters:
    `qname` - The XML 1.0 qualified name.
  Returns:
    The attribute value as a string, or null if the attribute is not in the list or if qualified names are not available.

### getName

    public String getName(int index)

  Deprecated.
  Return the name of an attribute in this list (by position).

  The names must be unique: the SAX parser shall not include the same attribute twice. Attributes without values (those declared #IMPLIED without a value specified in the start tag) will be omitted from the list.

  If the attribute name has a namespace prefix, the prefix will still be attached.

  Parameters:
    `i` - The index of the attribute in the list (starting at 0).
  Returns:
    The name of the indexed attribute, or null if the index is out of range.
  See Also:
    `XMLAttributesImpl.getLength()`

### getIndex

    public int getIndex(String qName)

  Deprecated.
  Look up the index of an attribute by XML 1.0 qualified name.

  Specified by:
    `getIndex` in interface `XMLAttributes`
  Parameters:
    `qName` - The qualified (prefixed) name.
  Returns:
    The index of the attribute, or -1 if it does not appear in the list.

### getIndex

    public int getIndex(String uri,
                        String localPart)

  Deprecated.
  Look up the index of an attribute by Namespace name.

  Specified by:
    `getIndex` in interface `XMLAttributes`
  Parameters:
    `uri` - The Namespace URI, or null if the name has no Namespace URI.
    `localName` - The attribute's local name.
  Returns:
    The index of the attribute, or -1 if it does not appear in the list.

### getLocalName

    public String getLocalName(int index)

  Deprecated.
  Look up an attribute's local name by index.

  Specified by:
    `getLocalName` in interface `XMLAttributes`
  Parameters:
    `index` - The attribute index (zero-based).
  Returns:
    The local name, or the empty string if Namespace processing is not being performed, or null if the index is out of range.
  See Also:
    `XMLAttributesImpl.getLength()`

### getQName

    public String getQName(int index)

  Deprecated.
  Look up an attribute's XML 1.0 qualified name by index.

  Specified by:
    `getQName` in interface `XMLAttributes`
  Parameters:
    `index` - The attribute index (zero-based).
  Returns:
    The XML 1.0 qualified name, or the empty string if none is available, or null if the index is out of range.
  See Also:
    `XMLAttributesImpl.getLength()`

### getType

    public String getType(String uri,
                          String localName)

  Deprecated.
  Look up an attribute's type by Namespace name.

  See `getType(int)` for a description of the possible types.

  Specified by:
    `getType` in interface `XMLAttributes`
  Parameters:
    `uri` - The Namespace URI, or null if the name has no Namespace URI.
    `localName` - The local name of the attribute.
  Returns:
    The attribute type as a string, or null if the attribute is not in the list or if Namespace processing is not being performed.

### getPrefix

    public String getPrefix(int index)

  Deprecated.
  Returns the prefix of the attribute at the specified index.

  Specified by:
    `getPrefix` in interface `XMLAttributes`
  Parameters:
    `index` - The index of the attribute.

### getURI

    public String getURI(int index)

  Deprecated.
  Look up an attribute's Namespace URI by index.

  Specified by:
    `getURI` in interface `XMLAttributes`
  Parameters:
    `index` - The attribute index (zero-based).
  Returns:
    The Namespace URI
  See Also:
    `XMLAttributesImpl.getLength()`

### getValue

    public String getValue(String uri,
                           String localName)

  Deprecated.
  Look up an attribute's value by Namespace name.

  See `getValue(int)` for a description of the possible values.

  Specified by:
    `getValue` in interface `XMLAttributes`
  Parameters:
    `uri` - The Namespace URI, or null if the
    `localName` - The local name of the attribute.
  Returns:
    The attribute value as a string, or null if the attribute is not in the list.

### getAugmentations

    public Augmentations getAugmentations(String uri,
                                          String localName)

  Deprecated.
  Look up an augmentations by Namespace name.

  Specified by:
    `getAugmentations` in interface `XMLAttributes`
  Parameters:
    `uri` - The Namespace URI, or null if the
    `localName` - The local name of the attribute.
  Returns:
    Augmentations

### getAugmentations

    public Augmentations getAugmentations(String qName)

  Deprecated.
  Look up an augmentation by XML 1.0 qualified name.

  Specified by:
    `getAugmentations` in interface `XMLAttributes`
  Parameters:
    `qName` - The XML 1.0 qualified name.
  Returns:
    Augmentations

### getAugmentations

    public Augmentations getAugmentations(int attributeIndex)

  Deprecated.
  Look up an augmentations by attributes index.

  Specified by:
    `getAugmentations` in interface `XMLAttributes`
  Parameters:
    `attributeIndex` - The attribute index.
  Returns:
    Augmentations

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD